package com.citygis.gis.tool.domain.component.define;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class SimpleProperty {
    /**
     * 属性标识名称
     */
    private String name;
    /**
     * 别名
     */
    private String alias;
    /**
     * 数据类型
     */
    private int dataType;
    /**
     * 数据类型描述
     */
    private String dataTypeDesc;
    /**
     * 数据类型编码
     */
    private String dataTypeCode;
    /**
     * 属性值
     */
    private Object value;
    /**
     * 原始值，在返回运行时参数使用到
     */
    private Object originValue;
}
