package com.citygis.gis.tool.domain.service;

import com.citygis.gis.tool.domain.controller.co.template.TemplateCO;
import com.citygis.gis.tool.domain.controller.co.template.TemplateQueryCO;
import com.citygis.gis.tool.domain.controller.vo.template.TemplateGetVO;
import com.citygis.gis.tool.domain.controller.vo.template.TemplateListVO;
import com.citygis.gis.tool.domain.dao.po.TemplatePO;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface TemplateService {
    PageInfo<TemplatePO> pageTemplate(TemplateQueryCO co);

    List<TemplateListVO> listTemplate(TemplateQueryCO co);

    TemplateGetVO getTemplate(TemplateQueryCO co);

    Integer insertTemplate(TemplateCO co);

    Integer modifyTemplate(TemplateCO co);

    Integer deleteTemplate(TemplateCO co);
}
